PersonalRoadMap.Website/Controllers/BackOfficeController.cs
using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
namespace PersonalRoadMap.Website.Controllers
{
    public class BackOfficeController : Controller
    {
        public IActionResult Index()
        {
            
            return View("/views/BackOffice/Overview/Overview.cshtml" );
        }
    }
}

PersonalRoadMap.Website/Controllers/CompetenceController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;

namespace PersonalRoadMap.Website.Controllers
{
    public class CompetenceController : BaseController
    {
        private static readonly HttpClient client = new HttpClient();
        private static string apiUrl = "https://localhost:5001";
        
        
       
        // GET: Competence
        public async Task<ActionResult> Index()
        {
            using (var client = new HttpClient())
            {
                client.BaseAddress = new Uri("https://localhost:5001/api/");
                //HTTP GET
                var responseTask = client.GetAsync("competence");
                responseTask.Wait();

                var result = responseTask.Result;
                if (result.IsSuccessStatusCode)
                {

                    var readTask = result.Content.ReadAsAsync<Entities.Competence[]>();
                    readTask.Wait();
                   
                    var competences = readTask.Result;              
                    return View("/views/BackOffice/competence/CompetenceOverview.cshtml",competences);

                }
                return View("/views/BackOffice/competence/CompetenceOverview.cshtml" );

            }        
        }

        // GET: Competence/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Competence/CreateCompetence
        public ActionResult CreateCompetence()
        {
            return View("/views/BackOffice/competence/CreateCompetence.cshtml");
        }

        // POST: Competence/CreateCompetence
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> CreateCompetence([FromForm] Entities.Competence competence)
        {
            try
            {
                var values = new Dictionary<string, string>
                {
                        { "CompetenceName", competence.CompetenceName },
                        { "Level",  competence.Level.ToString()}
                };

                var content = new FormUrlEncodedContent(values);

                var response = await client.PostAsync("", content);

                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }

        // GET: Competence/Edit/5
        public ActionResult Edit(int id)
        {
            return View("/views/BackOffice/competence/CreateCompetence.cshtml");
        }

        // POST: Competence/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(int id, IFormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }

        // GET: Competence/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: Competence/Delete/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Delete(int id, IFormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }
    }
}

PersonalRoadMap.Website/Views/BackOffice/Competence/CompetenceOverview.cshtml
@model IEnumerable<PersonalRoadMap.Entities.Competence>

@{
    ViewData["Title"] = "Competentie Overzicht";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

    <div class="row">
        <a id="CreateCompetenceButton" href="competence/create" class="subbutton">Nieuw</a>

        <h4> <a asp-action="Index">< Terug naar Hoofdpagina</a></h4>
    </div>

<hr />
<div class="row">
    <div id="CompetenceOverviewCards" class="OverviewCards grid">


        @foreach (var competence in Model)
        {
        <div class="OverviewCard">
            <label>@competence.CompetenceName</label><br />
            <a href="competence/edit/@competence.Id"><img id="editbutton" src="http://icons.iconarchive.com/icons/icons8/windows-8/256/Editing-Edit-icon.png" /></a>
            <a href="competence/delete/@competence.Id"><img id="deletebutton" src="https://image.flaticon.com/icons/svg/1345/1345874.svg" /></a>

        </div>
        }

    </div>
</div>



@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

PersonalRoadMap.Website/Views/BackOffice/Competence/CreateCompetence.cshtml
@model PersonalRoadMap.Entities.Competence
@{
    ViewData["Title"] = "Competentie aanmaken";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<h4> <a asp-action="Index">< Terug naar regels</a></h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post" asp-controller="Competence" asp-action="CreateCompetence">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>            
            <div class="form-group">
                <table class="CreateForm">
                    <tr>
                        <td>
                           <label><h3>Naam</h3></label>
                        </td>
                        <td>@Html.EditorFor(x => x.CompetenceName, new {required="required"})</td>
                    </tr>
                    <tr>
                        <td>
                            <label><h3>Niveau</h3></label>
                        </td>                      
                        <td>@Html.EditorFor(x => x.Level, new {required="required"})</td>                      
                    </tr>
                    <tr><td></td>
                        <td>
                            <input  type="submit" value="Opslaan" class="subbutton" />

                        </td>
                    </tr>
                </table>
                <br />
            </div>
        </form>
    </div>
</div>



@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}